# Uses of Class
org.apache.zookeeper.inspector.gui.IconResource

Packages that use IconResource
Package
Description
org.apache.zookeeper.inspector
org.apache.zookeeper.inspector.gui

## Uses of IconResource in org.apache.zookeeper.inspector

Fields in org.apache.zookeeper.inspector declared as IconResource
Modifier and Type
Field
Description
`static IconResource`
ZooInspector.`iconResource`

## Uses of IconResource in org.apache.zookeeper.inspector.gui

Methods in org.apache.zookeeper.inspector.gui with parameters of type IconResource
Modifier and Type
Method
Description
`JButton`
Toolbar.Button.`createJButton(IconResource iconResource)`
`JButton`
ZooInspectorNodeViewersDialog.Button.`createJButton(IconResource iconResource)`
Constructors in org.apache.zookeeper.inspector.gui with parameters of type IconResource
Modifier
Constructor
Description
``
`Toolbar(IconResource iconResource)`
``
`ZooInspectorAboutDialog(Frame frame, IconResource iconResource)`
``
`ZooInspectorNodeViewersDialog(Frame frame, List<ZooInspectorNodeViewer> currentViewers, Collection<NodeViewersChangeListener> listeners, ZooInspectorManager manager, IconResource iconResource)`
``
`ZooInspectorPanel(ZooInspectorManager zooInspectorManager, IconResource iconResource)`
``
`ZooInspectorTreeView(ZooInspectorManager manager, IconResource iconResource)`